package com.ruoyi.pt.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 事件集合表(Events)表实体类
 *
 * @author wu
 * @since 2023-12-15 22:58:42
 */
@Data
@ApiModel("事件集合表实体类")
@TableName(value = "Events")
public class Events implements Serializable {

    private static final long serialVersionUID = -80395930488019068L;

    /**
     * 事件集合编号（主键）
     */
    @ApiModelProperty(value = "事件集合编号（主键）")
    @TableField(value = "innerEventId")
    private String innerEventId;

    /**
     * 事件消息标题
     */
    @ApiModelProperty(value = "事件消息标题")
    private String title;

    /**
     * 事件类型编码
     */
    @ApiModelProperty(value = "事件类型编码")
    @TableField(value = "msgType")
    private String msgType;

    /**
     * 事件类型名称
     */
    @ApiModelProperty(value = "事件类型名称")
    @TableField(value = "msgTypeName")
    private String msgTypeName;

    /**
     * 案件类型编码
     */
    @ApiModelProperty(value = "案件类型编码")
    @TableField(value = "scenceType")
    private Integer scenceType;

    /**
     * 案件类型名称
     */
    @ApiModelProperty(value = "案件类型名称")
    @TableField(value = "scenceTypeName")
    private String scenceTypeName;

    /**
     * 第一次预警时间
     */
    @ApiModelProperty(value = "第一次预警时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "firstWarnTime")
    private Date firstWarnTime;

    /**
     * 事件发生时间
     */
    @ApiModelProperty(value = "事件发生时间")
    @TableField(value = "eventTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eventTime;

    /**
     * 预警因素
     */
    @ApiModelProperty(value = "预警因素")
    @TableField(value = "warnFactor")
    private String warnFactor;

    /**
     * 预警关联的事件单号
     */
    @ApiModelProperty(value = "预警关联的事件单号")
    @TableField(value = "relationNums")
    private String relationNums;

    /**
     * 状态 "状态 1为未通过 2为已办结 3为作废
     */
    @ApiModelProperty(value = "状态 1为未通过 2为已办结 3为作废")
    @TableField(value = "state")
    private Integer state;


    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    @TableField(value = "nums")
    private Integer nums;

    /**
     * 事件来源
     */
    @ApiModelProperty(value = "事件来源")
    @TableField(value = "scenceName")
    private String scenceName;


    /**
     * 之前的标题
     */
    @ApiModelProperty(value = "之前的标题")
    @TableField(value = "titleBefore")
    private String titleBefore;

    /**
     * 1.重新上报驾驶舱 2.退回算法重训练
     */
    @ApiModelProperty(value = "1.重新上报驾驶舱 2.退回算法重训练")
    @TableField(value = "isReport")
    private Integer isReport;

    /**
     * 审核时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    @TableField(value = "auditTime")
    private Date auditTime;

    /**
     * 第一个工单的地址
     */
    @ApiModelProperty(value = "第一个工单的地址")
    @TableField(exist = false)
    private String address;
}

