package com.ruoyi.pt.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 事件提级或退回
 * @author du
 * @since 2024/9/6 8:58
 */
@Data
@ApiModel("事件提级或退回")
public class AEventChangeIsReport {

    /**
     * 1.重新上报驾驶舱 2.退回算法重训练 3.审核通过
     */
    @ApiModelProperty("1.重新上报驾驶舱 2.退回算法重训练 3.审核通过")
    @NotNull
    private Integer isReport;

    /**
     * 事件集合编号（主键）
     */
    @NotNull
    @ApiModelProperty("事件集合编号（主键）")
    private String innerEventId;

    /**
     * 工单编号数组
     */
    @ApiModelProperty("工单编号数组")
    private List<String> caseSerial;


    /**
     * 新的事件标题
     */
    @ApiModelProperty("新的事件标题")
    private String newTitle;

    /**
     * 旧的事件标题
     */
    @ApiModelProperty("旧的事件标题")
    private String oldTitle;

    /**
     * 审核时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;
}
