package com.ruoyi.pt.entity.response;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 调用记录返回体
 * @author du
 * @since 2024/9/5 14:24
 */
@Data
@ApiModel("调用记录返回体")
public class AInvokeResponse {

    /**
     * 关联事件数量
     */
    @ApiModelProperty(value = "关联事件数量")
    private Integer count;

    /**
     * 事件标题
     */
    @ApiModelProperty(value = "事件消息标题")
    private String title;

    /**
     * 调用时间
     */
    @ApiModelProperty(value = "调用时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * targetId
     */
    @ApiModelProperty(value = "targetId")
    private String targetId;

    /**
     * 2.退回算法重训练
     */
    @ApiModelProperty(value = "2.退回算法重训练")
    private Integer isReport;
}
