package com.ruoyi.pt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.pt.entity.CasesImport;
import com.ruoyi.pt.entity.Events;
import com.ruoyi.pt.entity.dto.AEventChangeIsReport;
import com.ruoyi.pt.entity.dto.AMassEventsRequest;
import com.ruoyi.pt.entity.response.ANew100PageResponse;
import com.ruoyi.pt.entity.response.FiveEventCountResponse;

import java.util.List;

/**
 * 事件业务层
 * @author du
 * @since 2024/9/2 10:24
 */
public interface AEventsService {

    /**
     * 分页条件查询事件表
     */
    Page<Events> page(Page<Events> page, AMassEventsRequest events);


    /**
     * 分页条件查询审核列表
     */
    Page<CasesImport> auditList(Page<CasesImport> page, String innerEventId);

    /**
     * 查询工单详情
     */
    CasesImport getById(String id);

    /**
     * 修改事件标题
     */
    int edit(Events events);



    /**
     * 事件提级或退回
     *
     * @return
     */
    void eventChangeIsReport(AEventChangeIsReport events);

    /**
     * 根据100条最新事件查询对应工单
     */
    List<ANew100PageResponse> new100Page();

    /**
     * 查询事件详情
     */
    Events getByInnerEventId(String innerEventId);

    /**
     * 取最新一条事件
     */
    Events limitOneMsg();

    /**
     * 根据查询条件查询事件待审核个数
     *
     * @param events 查询条件
     * @return 所有数据
     */
    Integer eventPageCount(AMassEventsRequest events);

    /**
     * 查询五种事件待审核个数
     */
    List<FiveEventCountResponse> fiveEventCount();

    /**
     * 获取日志错误信息
     */
    Object getErrorMsg();
}
