package com.ruoyi.pt.service.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.pt.entity.Similar;
import com.ruoyi.pt.entity.dto.ASimilarRequest;
import com.ruoyi.pt.entity.dto.NoAccordWithRequest;
import com.ruoyi.pt.entity.response.AInvokeResponse;
import com.ruoyi.pt.mapper.AEventsMapper;
import com.ruoyi.pt.mapper.ASimilarMapper;
import com.ruoyi.pt.service.ASimilarService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 相似同类事件调用记录业务处理层
 * @author du
 * @since 2024/9/2 10:24
 */
@Service
public class ASimilarServiceImpl implements ASimilarService {

    @Resource
    private ASimilarMapper aSimilarMapper;

    @Resource
    private AEventsMapper aEventsMapper;

    /**
     * 分页条件查询相似事件调用记录数据
     *
     * @param page   分页条件
     * @param aSimilarRequest 查询条件
     * @return 所有数据
     */
    @Override
    public Page<AInvokeResponse> page(Page<AInvokeResponse> page, ASimilarRequest aSimilarRequest) {
        return aSimilarMapper.page(page,aSimilarRequest);
    }

    /**
     * 分页条件查询相似事件数据
     *
     * @param targetId 查询条件
     * @return 所有数据
     */
    @Override
    public List<Similar> similarEventsPage( String targetId) {
        return aSimilarMapper.similarEventsPage(targetId);
    }

    /**
     * 标记为不符合
     *
     * @return
     */
    @Override
    public int noAccordWith(NoAccordWithRequest resultId) {
        resultId.setAuditTime(DateUtil.date());
        return aSimilarMapper.noAccordWith(resultId);
    }
}
