package com.ruoyi.pt.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.pt.mapper.BEventProgressPushMapper;
import com.ruoyi.pt.entity.BEventProgressPush;
import com.ruoyi.pt.service.IBEventProgressPushService;

/**
 * 事件进度推送Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-06
 */
@Service
public class BEventProgressPushServiceImpl extends ServiceImpl<BEventProgressPushMapper, BEventProgressPush> implements IBEventProgressPushService
{
    @Autowired
    private BEventProgressPushMapper bEventProgressPushMapper;

    /**
     * 查询事件进度推送
     * 
     * @param id 事件进度推送主键
     * @return 事件进度推送
     */
    @Override
    public BEventProgressPush selectBEventProgressPushById(Long id)
    {
        return bEventProgressPushMapper.selectBEventProgressPushById(id);
    }

    /**
     * 查询事件进度推送列表
     * 
     * @param bEventProgressPush 事件进度推送
     * @return 事件进度推送
     */
    @Override
    public List<BEventProgressPush> selectBEventProgressPushList(BEventProgressPush bEventProgressPush)
    {
        return bEventProgressPushMapper.selectBEventProgressPushList(bEventProgressPush);
    }

    /**
     * 新增事件进度推送
     * 
     * @param bEventProgressPush 事件进度推送
     * @return 结果
     */
    @Override
    public int insertBEventProgressPush(List<BEventProgressPush> bEventProgressPush)
    {
        return bEventProgressPushMapper.insertBEventProgressPush(bEventProgressPush);
    }

    /**
     * 修改事件进度推送
     * 
     * @param bEventProgressPush 事件进度推送
     * @return 结果
     */
    @Override
    public int updateBEventProgressPush(BEventProgressPush bEventProgressPush)
    {
        return bEventProgressPushMapper.updateBEventProgressPush(bEventProgressPush);
    }

    /**
     * 批量删除事件进度推送
     * 
     * @param ids 需要删除的事件进度推送主键
     * @return 结果
     */
    @Override
    public int deleteBEventProgressPushByIds(Long[] ids)
    {
        return bEventProgressPushMapper.deleteBEventProgressPushByIds(ids);
    }

    /**
     * 删除事件进度推送信息
     * 
     * @param id 事件进度推送主键
     * @return 结果
     */
    @Override
    public int deleteBEventProgressPushById(Long id)
    {
        return bEventProgressPushMapper.deleteBEventProgressPushById(id);
    }
}
